The site is under maintenance.

Most probably the CPANTS databases are being regenerated from scratch behind the scenes due to the major change in Kwalitee metrics or the update of relevant modules/perl. Usually this maintenance takes about a day or two, and some of the information may be old or missing tentatively. Sorry for the inconvenience.

Dist-Zilla-Plugin-PkgVersionIfModuleWithPod

Metadata

Analyzed metadata and errors of Dist-Zilla-Plugin-PkgVersionIfModuleWithPod.

{
   "abstracts" : {
      "Dist::Zilla::Plugin::PkgVersionIfModuleWithPod" : "Apply PkgVersion to .pm files\nwith =pod sections"
   },
   "author" : "JSWARTZ",
   "buildfile_executable" : 0,
   "dir_lib" : "lib",
   "dir_t" : "t",
   "dirs_array" : [
      "lib",
      "lib/Dist",
      "lib/Dist/Zilla",
      "lib/Dist/Zilla/Plugin",
      "t"
   ],
   "dist" : "Dist-Zilla-Plugin-PkgVersionIfModuleWithPod",
   "dynamic_config" : 0,
   "error" : {
      "manifest_matches_dist" : [
         "MANIFEST (9) does not match dist (10):",
         "Missing in MANIFEST: README",
         "Missing in Dist: "
      ]
   },
   "extension" : "tar.gz",
   "external_license_file" : "LICENSE",
   "extractable" : 1,
   "extracts_nicely" : 1,
   "file__build" : 0,
   "file_blib" : 0,
   "file_build" : 0,
   "file_changelog" : "Changes",
   "file_license" : "LICENSE",
   "file_makefile" : 0,
   "file_makefile_pl" : "Makefile.PL",
   "file_manifest" : "MANIFEST",
   "file_meta_json" : "META.json",
   "file_meta_yml" : "META.yml",
   "file_pm_to_blib" : 0,
   "file_readme" : "README",
   "files_array" : [
      "README",
      "META.json",
      "Changes",
      "INSTALL",
      "Makefile.PL",
      "META.yml",
      "MANIFEST",
      "LICENSE",
      "lib/Dist/Zilla/Plugin/PkgVersionIfModuleWithPod.pm",
      "t/01-use.t"
   ],
   "files_hash" : {
      "Changes" : {
         "mtime" : 1345481120,
         "size" : 139
      },
      "INSTALL" : {
         "mtime" : 1345481120,
         "size" : 1179
      },
      "LICENSE" : {
         "mtime" : 1345481120,
         "size" : 18261
      },
      "MANIFEST" : {
         "mtime" : 1345481120,
         "size" : 126
      },
      "META.json" : {
         "mtime" : 1345481120,
         "size" : 1619
      },
      "META.yml" : {
         "mtime" : 1345481120,
         "size" : 921
      },
      "Makefile.PL" : {
         "mtime" : 1345481120,
         "size" : 1117,
         "used" : [
            "ExtUtils::MakeMaker",
            "strict",
            "warnings"
         ]
      },
      "README" : {
         "mtime" : 1345481120,
         "size" : 597
      },
      "lib/Dist/Zilla/Plugin/PkgVersionIfModuleWithPod.pm" : {
         "license" : "Perl_5",
         "module" : "Dist::Zilla::Plugin::PkgVersionIfModuleWithPod",
         "mtime" : 1345481120,
         "size" : 1077,
         "used" : [
            "Moose"
         ]
      },
      "t/01-use.t" : {
         "mtime" : 1345481120,
         "size" : 108,
         "used" : [
            "Test::More"
         ]
      }
   },
   "got_prereq_from" : "META.yml",
   "kwalitee" : {
      "buildtool_not_executable" : 1,
      "consistent_version" : 1,
      "easily_repackageable_by_debian" : 1,
      "easily_repackageable_by_fedora" : 1,
      "extractable" : 1,
      "extracts_nicely" : 1,
      "fits_fedora_license" : 1,
      "has_abstract_in_pod" : 1,
      "has_buildtool" : 1,
      "has_changelog" : 1,
      "has_human_readable_license" : 1,
      "has_known_license_in_source_file" : 1,
      "has_license_in_source_file" : 1,
      "has_manifest" : 1,
      "has_meta_yml" : 1,
      "has_proper_version" : 1,
      "has_readme" : 1,
      "has_separate_license_file" : 1,
      "has_tests" : 1,
      "has_tests_in_t_dir" : 1,
      "has_version" : 1,
      "kwalitee" : "95.12",
      "manifest_matches_dist" : 0,
      "metayml_conforms_to_known_spec" : 1,
      "metayml_declares_perl_version" : 0,
      "metayml_has_license" : 1,
      "metayml_has_provides" : 0,
      "metayml_is_parsable" : 1,
      "no_abstract_stub_in_pod" : 1,
      "no_broken_auto_install" : 1,
      "no_broken_module_install" : 1,
      "no_dot_dirs" : 1,
      "no_dot_underscore_files" : 1,
      "no_generated_files" : 1,
      "no_invalid_versions" : 1,
      "no_local_dirs" : 1,
      "no_mymeta_files" : 1,
      "no_pax_headers" : 1,
      "no_pod_errors" : 1,
      "no_stdin_for_prompting" : 1,
      "no_symlinks" : 1,
      "package_version_matches_dist_version" : 1,
      "portable_filenames" : 1,
      "proper_libs" : 1,
      "use_strict" : 1,
      "use_warnings" : 1,
      "valid_signature" : 1
   },
   "latest_mtime" : 1345481120,
   "license" : "perl defined in META.yml defined in LICENSE",
   "license_file" : "lib/Dist/Zilla/Plugin/PkgVersionIfModuleWithPod.pm",
   "license_from_yaml" : "perl",
   "license_in_pod" : 1,
   "license_type" : "Perl_5",
   "licenses" : {
      "Perl_5" : [
         "lib/Dist/Zilla/Plugin/PkgVersionIfModuleWithPod.pm"
      ]
   },
   "manifest_matches_dist" : 0,
   "meta_yml" : {
      "abstract" : "Apply PkgVersion to .pm files with =pod sections",
      "author" : [
         "Jonathan Swartz <swartz@pobox.com>"
      ],
      "build_requires" : {
         "Dist::Zilla::Plugin::PkgVersion" : "0"
      },
      "configure_requires" : {
         "ExtUtils::MakeMaker" : "6.30"
      },
      "dynamic_config" : "0",
      "generated_by" : "Dist::Zilla version 4.200008, CPAN::Meta::Converter version 2.113640",
      "license" : "perl",
      "meta-spec" : {
         "url" : "http://module-build.sourceforge.net/META-spec-v1.4.html",
         "version" : "1.4"
      },
      "name" : "Dist-Zilla-Plugin-PkgVersionIfModuleWithPod",
      "no_index" : {
         "directory" : [
            "lib/Dist/Zilla/Plugin/PkgVersionIfModuleWithPod/t",
            "lib/Dist/Zilla/Plugin/PkgVersionIfModuleWithPod/Test"
         ],
         "file" : [
            "lib/Dist/Zilla/Plugin/PkgVersionIfModuleWithPod/Util.pm"
         ]
      },
      "requires" : {
         "Test::More" : "0"
      },
      "resources" : {
         "bugtracker" : "http://rt.cpan.org/NoAuth/Bugs.html?Dist=Dist-Zilla-Plugin-PkgVersionIfModuleWithPod",
         "repository" : "git://github.com/jonswar/perl-dist-zilla-plugin-pkgversionifmodulewithpod.git"
      },
      "version" : "0.01"
   },
   "metayml_is_parsable" : 1,
   "modules" : [
      {
         "file" : "lib/Dist/Zilla/Plugin/PkgVersionIfModuleWithPod.pm",
         "in_basedir" : 0,
         "in_lib" : 1,
         "module" : "Dist::Zilla::Plugin::PkgVersionIfModuleWithPod"
      }
   ],
   "no_index" : "^lib/Dist/Zilla/Plugin/PkgVersionIfModuleWithPod/Test/;^lib/Dist/Zilla/Plugin/PkgVersionIfModuleWithPod/Util.pm\\z;^lib/Dist/Zilla/Plugin/PkgVersionIfModuleWithPod/t/",
   "no_pax_headers" : 1,
   "package" : "Dist-Zilla-Plugin-PkgVersionIfModuleWithPod-0.01.tar.gz",
   "prereq" : [
      {
         "requires" : "ExtUtils::MakeMaker",
         "type" : "configure_requires",
         "version" : "6.30"
      },
      {
         "is_prereq" : 1,
         "requires" : "Test::More",
         "type" : "runtime_requires",
         "version" : "0"
      },
      {
         "is_build_prereq" : 1,
         "requires" : "Dist::Zilla::Plugin::PkgVersion",
         "type" : "build_requires",
         "version" : "0"
      }
   ],
   "released_epoch" : 1345481145,
   "size_packed" : 9277,
   "size_unpacked" : 25144,
   "uses" : {
      "used_in_code" : {
         "Moose" : 1
      },
      "used_in_config" : {
         "ExtUtils::MakeMaker" : 1,
         "strict" : 1,
         "warnings" : 1
      },
      "used_in_tests" : {
         "Test::More" : 1
      }
   },
   "valid_signature" : -1,
   "version" : "0.01",
   "versions" : {
      "lib/Dist/Zilla/Plugin/PkgVersionIfModuleWithPod.pm" : {
         "Dist::Zilla::Plugin::PkgVersionIfModuleWithPod" : "0.01"
      }
   },
   "vname" : "Dist-Zilla-Plugin-PkgVersionIfModuleWithPod-0.01"
}